org.python.core

## Class imp.CodeData

- java.lang.Object
- - org.python.core.imp.CodeData

- Enclosing class:
    imp

      public static class imp.CodeData
      extends java.lang.Object

  A bundle of a file name, the file's content and a last modified time, with no behaviour. As used here, the file is a class file and the last modified time is that of the matching source, while the filename is taken from the annotation in the class file. See `imp.readCodeData(String, InputStream, boolean, long)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeData(byte[] bytes, long mtime, java.lang.String filename)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytes()`
    `java.lang.String` | `getFilename()`
    `long` | `getMTime()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeData

          public CodeData(byte[] bytes,
                          long mtime,
                          java.lang.String filename)

  - ### Method Detail

    - #### getBytes

          public byte[] getBytes()

    - #### getMTime

          public long getMTime()

    - #### getFilename

          public java.lang.String getFilename()

Jython homepage